Show / Hide Table of Contents

# Struct Camera

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Scene

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Camera

### Fields

| Improve this Doc View Source

#### LookAtVector

##### Declaration

    public Vector3 LookAtVector

##### Field Value

Type | Description
--- | ---
Vector3 |

| Improve this Doc View Source

#### Object

##### Declaration

    public Object Object

##### Field Value

Type | Description
--- | ---
Object |

| Improve this Doc View Source

#### RenderCamera

##### Declaration

    public Camera*RenderCamera

##### Field Value

Type | Description
--- | ---
Camera* |

| Improve this Doc View Source

#### Vector_1

##### Declaration

    public Vector3 Vector_1

##### Field Value

Type | Description
--- | ---
Vector3 |

| Improve this Doc View Source

#### ViewMatrix

##### Declaration

    public Matrix4x4 ViewMatrix

##### Field Value

Type | Description
--- | ---
Matrix4x4 |

### Methods

| Improve this Doc View Source

#### ScreenPointToRay(Ray*, Int32, Int32)

##### Declaration

    public void ScreenPointToRay(Ray*ray, int x, int y)

##### Parameters

Type | Name | Description
--- | --- | ---
Ray* | ray |
System.Int32 | x |
System.Int32 | y |

| Improve this Doc View Source

#### ScreenPointToRay(Vector2)

##### Declaration

    public Ray ScreenPointToRay(Vector2 screenPoint)

##### Parameters

Type | Name | Description
--- | --- | ---
Vector2 | screenPoint |

##### Returns

Type | Description
--- | ---
Ray |

| Improve this Doc View Source

#### ScreenPointToRay(Int32, Int32)

##### Declaration

    public Ray ScreenPointToRay(int x, int y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x |
System.Int32 | y |

##### Returns

Type | Description
--- | ---
Ray |

| Improve this Doc View Source

#### ScreenToWorldPoint(Vector2)

##### Declaration

    public static Vector3 ScreenToWorldPoint(Vector2 screenPoint)

##### Parameters

Type | Name | Description
--- | --- | ---
Vector2 | screenPoint |

##### Returns

Type | Description
--- | ---
Vector3 |

| Improve this Doc View Source

#### WorldToScreenPoint(Vector3)

##### Declaration

    public static Vector2 WorldToScreenPoint(Vector3 worldPoint)

##### Parameters

Type | Name | Description
--- | --- | ---
Vector3 | worldPoint |

##### Returns

Type | Description
--- | ---
Vector2 |